
;CodeVisionAVR C Compiler V2.05.0 Professional
;(C) Copyright 1998-2010 Pavel Haiduc, HP InfoTech s.r.l.
;http://www.hpinfotech.com

;Chip type                : ATmega8535L
;Program type             : Application
;Clock frequency          : 16,000000 MHz
;Memory model             : Small
;Optimize for             : Speed
;(s)printf features       : int, width
;(s)scanf features        : int, width
;External RAM size        : 0
;Data Stack size          : 128 byte(s)
;Heap size                : 0 byte(s)
;Promote 'char' to 'int'  : Yes
;'char' is unsigned       : Yes
;8 bit enums              : Yes
;global 'const' stored in FLASH: No
;Enhanced core instructions    : On
;Smart register allocation     : On
;Automatic register allocation : On

	#pragma AVRPART ADMIN PART_NAME ATmega8535L
	#pragma AVRPART MEMORY PROG_FLASH 8192
	#pragma AVRPART MEMORY EEPROM 512
	#pragma AVRPART MEMORY INT_SRAM SIZE 607
	#pragma AVRPART MEMORY INT_SRAM START_ADDR 0x60

	.LISTMAC
	.EQU UDRE=0x5
	.EQU RXC=0x7
	.EQU USR=0xB
	.EQU UDR=0xC
	.EQU SPSR=0xE
	.EQU SPDR=0xF
	.EQU EERE=0x0
	.EQU EEWE=0x1
	.EQU EEMWE=0x2
	.EQU EECR=0x1C
	.EQU EEDR=0x1D
	.EQU EEARL=0x1E
	.EQU EEARH=0x1F
	.EQU WDTCR=0x21
	.EQU MCUCR=0x35
	.EQU GICR=0x3B
	.EQU SPL=0x3D
	.EQU SPH=0x3E
	.EQU SREG=0x3F

	.DEF R0X0=R0
	.DEF R0X1=R1
	.DEF R0X2=R2
	.DEF R0X3=R3
	.DEF R0X4=R4
	.DEF R0X5=R5
	.DEF R0X6=R6
	.DEF R0X7=R7
	.DEF R0X8=R8
	.DEF R0X9=R9
	.DEF R0XA=R10
	.DEF R0XB=R11
	.DEF R0XC=R12
	.DEF R0XD=R13
	.DEF R0XE=R14
	.DEF R0XF=R15
	.DEF R0X10=R16
	.DEF R0X11=R17
	.DEF R0X12=R18
	.DEF R0X13=R19
	.DEF R0X14=R20
	.DEF R0X15=R21
	.DEF R0X16=R22
	.DEF R0X17=R23
	.DEF R0X18=R24
	.DEF R0X19=R25
	.DEF R0X1A=R26
	.DEF R0X1B=R27
	.DEF R0X1C=R28
	.DEF R0X1D=R29
	.DEF R0X1E=R30
	.DEF R0X1F=R31

	.EQU __SRAM_START=0x0060
	.EQU __SRAM_END=0x025F
	.EQU __DSTACK_SIZE=0x0080
	.EQU __HEAP_SIZE=0x0000
	.EQU __CLEAR_SRAM_SIZE=__SRAM_END-__SRAM_START+1

	.MACRO __CPD1N
	CPI  R30,LOW(@0)
	LDI  R26,HIGH(@0)
	CPC  R31,R26
	LDI  R26,BYTE3(@0)
	CPC  R22,R26
	LDI  R26,BYTE4(@0)
	CPC  R23,R26
	.ENDM

	.MACRO __CPD2N
	CPI  R26,LOW(@0)
	LDI  R30,HIGH(@0)
	CPC  R27,R30
	LDI  R30,BYTE3(@0)
	CPC  R24,R30
	LDI  R30,BYTE4(@0)
	CPC  R25,R30
	.ENDM

	.MACRO __CPWRR
	CP   R@0,R@2
	CPC  R@1,R@3
	.ENDM

	.MACRO __CPWRN
	CPI  R@0,LOW(@2)
	LDI  R30,HIGH(@2)
	CPC  R@1,R30
	.ENDM

	.MACRO __ADDB1MN
	SUBI R30,LOW(-@0-(@1))
	.ENDM

	.MACRO __ADDB2MN
	SUBI R26,LOW(-@0-(@1))
	.ENDM

	.MACRO __ADDW1MN
	SUBI R30,LOW(-@0-(@1))
	SBCI R31,HIGH(-@0-(@1))
	.ENDM

	.MACRO __ADDW2MN
	SUBI R26,LOW(-@0-(@1))
	SBCI R27,HIGH(-@0-(@1))
	.ENDM

	.MACRO __ADDW1FN
	SUBI R30,LOW(-2*@0-(@1))
	SBCI R31,HIGH(-2*@0-(@1))
	.ENDM

	.MACRO __ADDD1FN
	SUBI R30,LOW(-2*@0-(@1))
	SBCI R31,HIGH(-2*@0-(@1))
	SBCI R22,BYTE3(-2*@0-(@1))
	.ENDM

	.MACRO __ADDD1N
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	SBCI R22,BYTE3(-@0)
	SBCI R23,BYTE4(-@0)
	.ENDM

	.MACRO __ADDD2N
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	SBCI R24,BYTE3(-@0)
	SBCI R25,BYTE4(-@0)
	.ENDM

	.MACRO __SUBD1N
	SUBI R30,LOW(@0)
	SBCI R31,HIGH(@0)
	SBCI R22,BYTE3(@0)
	SBCI R23,BYTE4(@0)
	.ENDM

	.MACRO __SUBD2N
	SUBI R26,LOW(@0)
	SBCI R27,HIGH(@0)
	SBCI R24,BYTE3(@0)
	SBCI R25,BYTE4(@0)
	.ENDM

	.MACRO __ANDBMNN
	LDS  R30,@0+(@1)
	ANDI R30,LOW(@2)
	STS  @0+(@1),R30
	.ENDM

	.MACRO __ANDWMNN
	LDS  R30,@0+(@1)
	ANDI R30,LOW(@2)
	STS  @0+(@1),R30
	LDS  R30,@0+(@1)+1
	ANDI R30,HIGH(@2)
	STS  @0+(@1)+1,R30
	.ENDM

	.MACRO __ANDD1N
	ANDI R30,LOW(@0)
	ANDI R31,HIGH(@0)
	ANDI R22,BYTE3(@0)
	ANDI R23,BYTE4(@0)
	.ENDM

	.MACRO __ANDD2N
	ANDI R26,LOW(@0)
	ANDI R27,HIGH(@0)
	ANDI R24,BYTE3(@0)
	ANDI R25,BYTE4(@0)
	.ENDM

	.MACRO __ORBMNN
	LDS  R30,@0+(@1)
	ORI  R30,LOW(@2)
	STS  @0+(@1),R30
	.ENDM

	.MACRO __ORWMNN
	LDS  R30,@0+(@1)
	ORI  R30,LOW(@2)
	STS  @0+(@1),R30
	LDS  R30,@0+(@1)+1
	ORI  R30,HIGH(@2)
	STS  @0+(@1)+1,R30
	.ENDM

	.MACRO __ORD1N
	ORI  R30,LOW(@0)
	ORI  R31,HIGH(@0)
	ORI  R22,BYTE3(@0)
	ORI  R23,BYTE4(@0)
	.ENDM

	.MACRO __ORD2N
	ORI  R26,LOW(@0)
	ORI  R27,HIGH(@0)
	ORI  R24,BYTE3(@0)
	ORI  R25,BYTE4(@0)
	.ENDM

	.MACRO __DELAY_USB
	LDI  R24,LOW(@0)
__DELAY_USB_LOOP:
	DEC  R24
	BRNE __DELAY_USB_LOOP
	.ENDM

	.MACRO __DELAY_USW
	LDI  R24,LOW(@0)
	LDI  R25,HIGH(@0)
__DELAY_USW_LOOP:
	SBIW R24,1
	BRNE __DELAY_USW_LOOP
	.ENDM

	.MACRO __GETD1S
	LDD  R30,Y+@0
	LDD  R31,Y+@0+1
	LDD  R22,Y+@0+2
	LDD  R23,Y+@0+3
	.ENDM

	.MACRO __GETD2S
	LDD  R26,Y+@0
	LDD  R27,Y+@0+1
	LDD  R24,Y+@0+2
	LDD  R25,Y+@0+3
	.ENDM

	.MACRO __PUTD1S
	STD  Y+@0,R30
	STD  Y+@0+1,R31
	STD  Y+@0+2,R22
	STD  Y+@0+3,R23
	.ENDM

	.MACRO __PUTD2S
	STD  Y+@0,R26
	STD  Y+@0+1,R27
	STD  Y+@0+2,R24
	STD  Y+@0+3,R25
	.ENDM

	.MACRO __PUTDZ2
	STD  Z+@0,R26
	STD  Z+@0+1,R27
	STD  Z+@0+2,R24
	STD  Z+@0+3,R25
	.ENDM

	.MACRO __CLRD1S
	STD  Y+@0,R30
	STD  Y+@0+1,R30
	STD  Y+@0+2,R30
	STD  Y+@0+3,R30
	.ENDM

	.MACRO __POINTB1MN
	LDI  R30,LOW(@0+(@1))
	.ENDM

	.MACRO __POINTW1MN
	LDI  R30,LOW(@0+(@1))
	LDI  R31,HIGH(@0+(@1))
	.ENDM

	.MACRO __POINTD1M
	LDI  R30,LOW(@0)
	LDI  R31,HIGH(@0)
	LDI  R22,BYTE3(@0)
	LDI  R23,BYTE4(@0)
	.ENDM

	.MACRO __POINTW1FN
	LDI  R30,LOW(2*@0+(@1))
	LDI  R31,HIGH(2*@0+(@1))
	.ENDM

	.MACRO __POINTD1FN
	LDI  R30,LOW(2*@0+(@1))
	LDI  R31,HIGH(2*@0+(@1))
	LDI  R22,BYTE3(2*@0+(@1))
	LDI  R23,BYTE4(2*@0+(@1))
	.ENDM

	.MACRO __POINTB2MN
	LDI  R26,LOW(@0+(@1))
	.ENDM

	.MACRO __POINTW2MN
	LDI  R26,LOW(@0+(@1))
	LDI  R27,HIGH(@0+(@1))
	.ENDM

	.MACRO __POINTBRM
	LDI  R@0,LOW(@1)
	.ENDM

	.MACRO __POINTWRM
	LDI  R@0,LOW(@2)
	LDI  R@1,HIGH(@2)
	.ENDM

	.MACRO __POINTBRMN
	LDI  R@0,LOW(@1+(@2))
	.ENDM

	.MACRO __POINTWRMN
	LDI  R@0,LOW(@2+(@3))
	LDI  R@1,HIGH(@2+(@3))
	.ENDM

	.MACRO __POINTWRFN
	LDI  R@0,LOW(@2*2+(@3))
	LDI  R@1,HIGH(@2*2+(@3))
	.ENDM

	.MACRO __GETD1N
	LDI  R30,LOW(@0)
	LDI  R31,HIGH(@0)
	LDI  R22,BYTE3(@0)
	LDI  R23,BYTE4(@0)
	.ENDM

	.MACRO __GETD2N
	LDI  R26,LOW(@0)
	LDI  R27,HIGH(@0)
	LDI  R24,BYTE3(@0)
	LDI  R25,BYTE4(@0)
	.ENDM

	.MACRO __GETB1MN
	LDS  R30,@0+(@1)
	.ENDM

	.MACRO __GETB1HMN
	LDS  R31,@0+(@1)
	.ENDM

	.MACRO __GETW1MN
	LDS  R30,@0+(@1)
	LDS  R31,@0+(@1)+1
	.ENDM

	.MACRO __GETD1MN
	LDS  R30,@0+(@1)
	LDS  R31,@0+(@1)+1
	LDS  R22,@0+(@1)+2
	LDS  R23,@0+(@1)+3
	.ENDM

	.MACRO __GETBRMN
	LDS  R@0,@1+(@2)
	.ENDM

	.MACRO __GETWRMN
	LDS  R@0,@2+(@3)
	LDS  R@1,@2+(@3)+1
	.ENDM

	.MACRO __GETWRZ
	LDD  R@0,Z+@2
	LDD  R@1,Z+@2+1
	.ENDM

	.MACRO __GETD2Z
	LDD  R26,Z+@0
	LDD  R27,Z+@0+1
	LDD  R24,Z+@0+2
	LDD  R25,Z+@0+3
	.ENDM

	.MACRO __GETB2MN
	LDS  R26,@0+(@1)
	.ENDM

	.MACRO __GETW2MN
	LDS  R26,@0+(@1)
	LDS  R27,@0+(@1)+1
	.ENDM

	.MACRO __GETD2MN
	LDS  R26,@0+(@1)
	LDS  R27,@0+(@1)+1
	LDS  R24,@0+(@1)+2
	LDS  R25,@0+(@1)+3
	.ENDM

	.MACRO __PUTB1MN
	STS  @0+(@1),R30
	.ENDM

	.MACRO __PUTW1MN
	STS  @0+(@1),R30
	STS  @0+(@1)+1,R31
	.ENDM

	.MACRO __PUTD1MN
	STS  @0+(@1),R30
	STS  @0+(@1)+1,R31
	STS  @0+(@1)+2,R22
	STS  @0+(@1)+3,R23
	.ENDM

	.MACRO __PUTB1EN
	LDI  R26,LOW(@0+(@1))
	LDI  R27,HIGH(@0+(@1))
	RCALL __EEPROMWRB
	.ENDM

	.MACRO __PUTW1EN
	LDI  R26,LOW(@0+(@1))
	LDI  R27,HIGH(@0+(@1))
	RCALL __EEPROMWRW
	.ENDM

	.MACRO __PUTD1EN
	LDI  R26,LOW(@0+(@1))
	LDI  R27,HIGH(@0+(@1))
	RCALL __EEPROMWRD
	.ENDM

	.MACRO __PUTBR0MN
	STS  @0+(@1),R0
	.ENDM

	.MACRO __PUTBMRN
	STS  @0+(@1),R@2
	.ENDM

	.MACRO __PUTWMRN
	STS  @0+(@1),R@2
	STS  @0+(@1)+1,R@3
	.ENDM

	.MACRO __PUTBZR
	STD  Z+@1,R@0
	.ENDM

	.MACRO __PUTWZR
	STD  Z+@2,R@0
	STD  Z+@2+1,R@1
	.ENDM

	.MACRO __GETW1R
	MOV  R30,R@0
	MOV  R31,R@1
	.ENDM

	.MACRO __GETW2R
	MOV  R26,R@0
	MOV  R27,R@1
	.ENDM

	.MACRO __GETWRN
	LDI  R@0,LOW(@2)
	LDI  R@1,HIGH(@2)
	.ENDM

	.MACRO __PUTW1R
	MOV  R@0,R30
	MOV  R@1,R31
	.ENDM

	.MACRO __PUTW2R
	MOV  R@0,R26
	MOV  R@1,R27
	.ENDM

	.MACRO __ADDWRN
	SUBI R@0,LOW(-@2)
	SBCI R@1,HIGH(-@2)
	.ENDM

	.MACRO __ADDWRR
	ADD  R@0,R@2
	ADC  R@1,R@3
	.ENDM

	.MACRO __SUBWRN
	SUBI R@0,LOW(@2)
	SBCI R@1,HIGH(@2)
	.ENDM

	.MACRO __SUBWRR
	SUB  R@0,R@2
	SBC  R@1,R@3
	.ENDM

	.MACRO __ANDWRN
	ANDI R@0,LOW(@2)
	ANDI R@1,HIGH(@2)
	.ENDM

	.MACRO __ANDWRR
	AND  R@0,R@2
	AND  R@1,R@3
	.ENDM

	.MACRO __ORWRN
	ORI  R@0,LOW(@2)
	ORI  R@1,HIGH(@2)
	.ENDM

	.MACRO __ORWRR
	OR   R@0,R@2
	OR   R@1,R@3
	.ENDM

	.MACRO __EORWRR
	EOR  R@0,R@2
	EOR  R@1,R@3
	.ENDM

	.MACRO __GETWRS
	LDD  R@0,Y+@2
	LDD  R@1,Y+@2+1
	.ENDM

	.MACRO __PUTBSR
	STD  Y+@1,R@0
	.ENDM

	.MACRO __PUTWSR
	STD  Y+@2,R@0
	STD  Y+@2+1,R@1
	.ENDM

	.MACRO __MOVEWRR
	MOV  R@0,R@2
	MOV  R@1,R@3
	.ENDM

	.MACRO __INWR
	IN   R@0,@2
	IN   R@1,@2+1
	.ENDM

	.MACRO __OUTWR
	OUT  @2+1,R@1
	OUT  @2,R@0
	.ENDM

	.MACRO __CALL1MN
	LDS  R30,@0+(@1)
	LDS  R31,@0+(@1)+1
	ICALL
	.ENDM

	.MACRO __CALL1FN
	LDI  R30,LOW(2*@0+(@1))
	LDI  R31,HIGH(2*@0+(@1))
	RCALL __GETW1PF
	ICALL
	.ENDM

	.MACRO __CALL2EN
	LDI  R26,LOW(@0+(@1))
	LDI  R27,HIGH(@0+(@1))
	RCALL __EEPROMRDW
	ICALL
	.ENDM

	.MACRO __GETW1STACK
	IN   R26,SPL
	IN   R27,SPH
	ADIW R26,@0+1
	LD   R30,X+
	LD   R31,X
	.ENDM

	.MACRO __GETD1STACK
	IN   R26,SPL
	IN   R27,SPH
	ADIW R26,@0+1
	LD   R30,X+
	LD   R31,X+
	LD   R22,X
	.ENDM

	.MACRO __NBST
	BST  R@0,@1
	IN   R30,SREG
	LDI  R31,0x40
	EOR  R30,R31
	OUT  SREG,R30
	.ENDM


	.MACRO __PUTB1SN
	LDD  R26,Y+@0
	LDD  R27,Y+@0+1
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X,R30
	.ENDM

	.MACRO __PUTW1SN
	LDD  R26,Y+@0
	LDD  R27,Y+@0+1
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1SN
	LDD  R26,Y+@0
	LDD  R27,Y+@0+1
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	RCALL __PUTDP1
	.ENDM

	.MACRO __PUTB1SNS
	LDD  R26,Y+@0
	LDD  R27,Y+@0+1
	ADIW R26,@1
	ST   X,R30
	.ENDM

	.MACRO __PUTW1SNS
	LDD  R26,Y+@0
	LDD  R27,Y+@0+1
	ADIW R26,@1
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1SNS
	LDD  R26,Y+@0
	LDD  R27,Y+@0+1
	ADIW R26,@1
	RCALL __PUTDP1
	.ENDM

	.MACRO __PUTB1PMN
	LDS  R26,@0
	LDS  R27,@0+1
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X,R30
	.ENDM

	.MACRO __PUTW1PMN
	LDS  R26,@0
	LDS  R27,@0+1
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1PMN
	LDS  R26,@0
	LDS  R27,@0+1
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	RCALL __PUTDP1
	.ENDM

	.MACRO __PUTB1PMNS
	LDS  R26,@0
	LDS  R27,@0+1
	ADIW R26,@1
	ST   X,R30
	.ENDM

	.MACRO __PUTW1PMNS
	LDS  R26,@0
	LDS  R27,@0+1
	ADIW R26,@1
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1PMNS
	LDS  R26,@0
	LDS  R27,@0+1
	ADIW R26,@1
	RCALL __PUTDP1
	.ENDM

	.MACRO __PUTB1RN
	MOVW R26,R@0
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X,R30
	.ENDM

	.MACRO __PUTW1RN
	MOVW R26,R@0
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1RN
	MOVW R26,R@0
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	RCALL __PUTDP1
	.ENDM

	.MACRO __PUTB1RNS
	MOVW R26,R@0
	ADIW R26,@1
	ST   X,R30
	.ENDM

	.MACRO __PUTW1RNS
	MOVW R26,R@0
	ADIW R26,@1
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1RNS
	MOVW R26,R@0
	ADIW R26,@1
	RCALL __PUTDP1
	.ENDM

	.MACRO __PUTB1RON
	MOV  R26,R@0
	MOV  R27,R@1
	SUBI R26,LOW(-@2)
	SBCI R27,HIGH(-@2)
	ST   X,R30
	.ENDM

	.MACRO __PUTW1RON
	MOV  R26,R@0
	MOV  R27,R@1
	SUBI R26,LOW(-@2)
	SBCI R27,HIGH(-@2)
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1RON
	MOV  R26,R@0
	MOV  R27,R@1
	SUBI R26,LOW(-@2)
	SBCI R27,HIGH(-@2)
	RCALL __PUTDP1
	.ENDM

	.MACRO __PUTB1RONS
	MOV  R26,R@0
	MOV  R27,R@1
	ADIW R26,@2
	ST   X,R30
	.ENDM

	.MACRO __PUTW1RONS
	MOV  R26,R@0
	MOV  R27,R@1
	ADIW R26,@2
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1RONS
	MOV  R26,R@0
	MOV  R27,R@1
	ADIW R26,@2
	RCALL __PUTDP1
	.ENDM


	.MACRO __GETB1SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	LD   R30,Z
	.ENDM

	.MACRO __GETB1HSX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	LD   R31,Z
	.ENDM

	.MACRO __GETW1SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	LD   R0,Z+
	LD   R31,Z
	MOV  R30,R0
	.ENDM

	.MACRO __GETD1SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	LD   R0,Z+
	LD   R1,Z+
	LD   R22,Z+
	LD   R23,Z
	MOVW R30,R0
	.ENDM

	.MACRO __GETB2SX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	LD   R26,X
	.ENDM

	.MACRO __GETW2SX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	LD   R0,X+
	LD   R27,X
	MOV  R26,R0
	.ENDM

	.MACRO __GETD2SX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	LD   R0,X+
	LD   R1,X+
	LD   R24,X+
	LD   R25,X
	MOVW R26,R0
	.ENDM

	.MACRO __GETBRSX
	MOVW R30,R28
	SUBI R30,LOW(-@1)
	SBCI R31,HIGH(-@1)
	LD   R@0,Z
	.ENDM

	.MACRO __GETWRSX
	MOVW R30,R28
	SUBI R30,LOW(-@2)
	SBCI R31,HIGH(-@2)
	LD   R@0,Z+
	LD   R@1,Z
	.ENDM

	.MACRO __GETBRSX2
	MOVW R26,R28
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	LD   R@0,X
	.ENDM

	.MACRO __GETWRSX2
	MOVW R26,R28
	SUBI R26,LOW(-@2)
	SBCI R27,HIGH(-@2)
	LD   R@0,X+
	LD   R@1,X
	.ENDM

	.MACRO __LSLW8SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	LD   R31,Z
	CLR  R30
	.ENDM

	.MACRO __PUTB1SX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	ST   X,R30
	.ENDM

	.MACRO __PUTW1SX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1SX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	ST   X+,R30
	ST   X+,R31
	ST   X+,R22
	ST   X,R23
	.ENDM

	.MACRO __CLRW1SX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	ST   X+,R30
	ST   X,R30
	.ENDM

	.MACRO __CLRD1SX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	ST   X+,R30
	ST   X+,R30
	ST   X+,R30
	ST   X,R30
	.ENDM

	.MACRO __PUTB2SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	ST   Z,R26
	.ENDM

	.MACRO __PUTW2SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	ST   Z+,R26
	ST   Z,R27
	.ENDM

	.MACRO __PUTD2SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	ST   Z+,R26
	ST   Z+,R27
	ST   Z+,R24
	ST   Z,R25
	.ENDM

	.MACRO __PUTBSRX
	MOVW R30,R28
	SUBI R30,LOW(-@1)
	SBCI R31,HIGH(-@1)
	ST   Z,R@0
	.ENDM

	.MACRO __PUTWSRX
	MOVW R30,R28
	SUBI R30,LOW(-@2)
	SBCI R31,HIGH(-@2)
	ST   Z+,R@0
	ST   Z,R@1
	.ENDM

	.MACRO __PUTB1SNX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	LD   R0,X+
	LD   R27,X
	MOV  R26,R0
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X,R30
	.ENDM

	.MACRO __PUTW1SNX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	LD   R0,X+
	LD   R27,X
	MOV  R26,R0
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1SNX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	LD   R0,X+
	LD   R27,X
	MOV  R26,R0
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X+,R30
	ST   X+,R31
	ST   X+,R22
	ST   X,R23
	.ENDM

	.MACRO __MULBRR
	MULS R@0,R@1
	MOVW R30,R0
	.ENDM

	.MACRO __MULBRRU
	MUL  R@0,R@1
	MOVW R30,R0
	.ENDM

	.MACRO __MULBRR0
	MULS R@0,R@1
	.ENDM

	.MACRO __MULBRRU0
	MUL  R@0,R@1
	.ENDM

	.MACRO __MULBNWRU
	LDI  R26,@2
	MUL  R26,R@0
	MOVW R30,R0
	MUL  R26,R@1
	ADD  R31,R0
	.ENDM

	.CSEG
	.ORG 0x00

;START OF CODE MARKER
__START_OF_CODE:

;INTERRUPT VECTORS
	RJMP __RESET
	RJMP 0x00
	RJMP 0x00
	RJMP 0x00
	RJMP 0x00
	RJMP 0x00
	RJMP 0x00
	RJMP 0x00
	RJMP 0x00
	RJMP 0x00
	RJMP 0x00
	RJMP 0x00
	RJMP 0x00
	RJMP 0x00
	RJMP 0x00
	RJMP 0x00
	RJMP 0x00
	RJMP 0x00
	RJMP 0x00
	RJMP 0x00
	RJMP 0x00

_tbl10_G100:
	.DB  0x10,0x27,0xE8,0x3,0x64,0x0,0xA,0x0
	.DB  0x1,0x0
_tbl16_G100:
	.DB  0x0,0x10,0x0,0x1,0x10,0x0,0x1,0x0

_0x0:
	.DB  0x25,0x70,0x0,0x46,0x47,0x48,0x0,0x25
	.DB  0x69,0x0
_0x20003:
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0x7F,0xFE,0xFF
	.DB  0x81,0xF3,0x49,0x61,0x33,0x25,0x5,0xF1
	.DB  0x1,0x21,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0x11,0xFF,0x8D,0xFF,0xD,0x1D,0x85
	.DB  0x13,0x9F,0xE1,0xFF,0x8F,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0x7,0x4F,0x43,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x57,0x47
	.DB  0x19,0x31,0x5F,0xFF,0xF,0xC7,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
__RESET:
	CLI
	CLR  R30
	OUT  EECR,R30

;INTERRUPT VECTORS ARE PLACED
;AT THE START OF FLASH
	LDI  R31,1
	OUT  GICR,R31
	OUT  GICR,R30
	OUT  MCUCR,R30

;DISABLE WATCHDOG
	LDI  R31,0x18
	OUT  WDTCR,R31
	OUT  WDTCR,R30

;CLEAR R2-R14
	LDI  R24,(14-2)+1
	LDI  R26,2
	CLR  R27
__CLEAR_REG:
	ST   X+,R30
	DEC  R24
	BRNE __CLEAR_REG

;CLEAR SRAM
	LDI  R24,LOW(__CLEAR_SRAM_SIZE)
	LDI  R25,HIGH(__CLEAR_SRAM_SIZE)
	LDI  R26,__SRAM_START
__CLEAR_SRAM:
	ST   X+,R30
	SBIW R24,1
	BRNE __CLEAR_SRAM

;HARDWARE STACK POINTER INITIALIZATION
	LDI  R30,LOW(__SRAM_END-__HEAP_SIZE)
	OUT  SPL,R30
	LDI  R30,HIGH(__SRAM_END-__HEAP_SIZE)
	OUT  SPH,R30

;DATA STACK POINTER INITIALIZATION
	LDI  R28,LOW(__SRAM_START+__DSTACK_SIZE)
	LDI  R29,HIGH(__SRAM_START+__DSTACK_SIZE)

	RJMP _main

	.ESEG
	.ORG 0

	.DSEG
	.ORG 0xE0

	.CSEG
;/*****************************************************
;This program was produced by the
;CodeWizardAVR V2.04.4a Advanced
;Automatic Program Generator
; Copyright 1998-2009 Pavel Haiduc, HP InfoTech s.r.l.
;http://www.hpinfotech.com
;
;Project :
;Version :
;Date    : 03.10.2010
;Author  : NeVaDa
;Company : Microsoft
;Comments:
;
;
;Chip type               : ATmega8535L
;Program type            : Application
;AVR Core Clock frequency: 16,000000 MHz
;Memory model            : Small
;External RAM size       : 0
;Data Stack size         : 128
;*****************************************************/
;
;#include <mega8535.h>
	#ifndef __SLEEP_DEFINED__
	#define __SLEEP_DEFINED__
	.EQU __se_bit=0x40
	.EQU __sm_mask=0xB0
	.EQU __sm_powerdown=0x20
	.EQU __sm_powersave=0x30
	.EQU __sm_standby=0xA0
	.EQU __sm_ext_standby=0xB0
	.EQU __sm_adc_noise_red=0x10
	.SET power_ctrl_reg=mcucr
	#endif
;#include <delay.h>
;#include <stdio.h>
;#include <Initialization_CPU.h>
;#include <peremenie_konst.h>
;#include <indi.h>
;
;void main(void)
; 0000 0020   {

	.CSEG
_main:
; 0000 0021  Initialization_CPU();
	RCALL _Initialization_CPU
; 0000 0022  izmerenoe_I=123;
	LDI  R30,LOW(123)
	STS  _izmerenoe_I,R30
; 0000 0023  izmerenoe_U=237;
	LDI  R30,LOW(237)
	STS  _izmerenoe_U,R30
; 0000 0024  sprintf(&sym_out1[0], "%p", "FGH");
	LDI  R30,LOW(_sym_out1)
	LDI  R31,HIGH(_sym_out1)
	ST   -Y,R31
	ST   -Y,R30
	__POINTW1FN _0x0,0
	ST   -Y,R31
	ST   -Y,R30
	__POINTW1FN _0x0,3
	CLR  R22
	CLR  R23
	RCALL __PUTPARD1
	LDI  R24,4
	RCALL _sprintf
	ADIW R28,8
; 0000 0025  sprintf(&sym_out2[0], "%i", izmerenoe_U);
	LDI  R30,LOW(_sym_out2)
	LDI  R31,HIGH(_sym_out2)
	ST   -Y,R31
	ST   -Y,R30
	__POINTW1FN _0x0,7
	ST   -Y,R31
	ST   -Y,R30
	LDS  R30,_izmerenoe_U
	CLR  R31
	CLR  R22
	CLR  R23
	RCALL __PUTPARD1
	LDI  R24,4
	RCALL _sprintf
	ADIW R28,8
; 0000 0026  divider_indy=1;
	LDI  R30,LOW(1)
	STS  _divider_indy,R30
; 0000 0027 
; 0000 0028    while (1){
_0x3:
; 0000 0029   indi();
	RCALL _indi
; 0000 002A   }//  while (1)
	RJMP _0x3
; 0000 002B  }// main
_0x6:
	RJMP _0x6
;
;
;#include <mega8535.h>
	#ifndef __SLEEP_DEFINED__
	#define __SLEEP_DEFINED__
	.EQU __se_bit=0x40
	.EQU __sm_mask=0xB0
	.EQU __sm_powerdown=0x20
	.EQU __sm_powersave=0x30
	.EQU __sm_standby=0xA0
	.EQU __sm_ext_standby=0xB0
	.EQU __sm_adc_noise_red=0x10
	.SET power_ctrl_reg=mcucr
	#endif
;#include <delay.h>
;#include <Initialization_CPU.h>
;#include <peremenie_konst.h>
;#include <stdio.h>
;
; void indi (void){
; 0001 0007 void indi (void){

	.CSEG
_indi:
; 0001 0008  #define segA1 PORTC.1 // RD3     segA1
; 0001 0009  #define segB1 PORTC.2 // RD0     segB1
; 0001 000A  #define segC1 PORTC.3 // RD9     segC1
; 0001 000B  #define segD1 PORTC.4 // RD1     segD1
; 0001 000C  #define segE1 PORTC.5 // RD4     segE1
; 0001 000D  #define segF1 PORTC.6 // RD11     segF1
; 0001 000E  #define segG1 PORTC.7 // RD10     segG1
; 0001 000F  #define segH1 PORTC.0 // RD1     segH1
; 0001 0010  #define dig_11 PORTA.0 //     
; 0001 0011  #define dig_12 PORTA.1 //     
; 0001 0012  #define dig_13 PORTA.2 //     
; 0001 0013  #define dig_21 PORTA.3 //     
; 0001 0014  #define dig_22 PORTA.4 //     
; 0001 0015  #define dig_23 PORTA.5 //     
; 0001 0016 
; 0001 0017  static unsigned char cur_dig;//  
; 0001 0018  unsigned char i;             //     
; 0001 0019                               //  ASCII CHARACTER SET      sym[]
; 0001 001A                               //      
; 0001 001B 
; 0001 001C   const unsigned char sym[]={
; 0001 001D   //gfedcbah
; 0001 001E   0b11111111,//(00)(0x0) Space 0x20----
; 0001 001F   0b11111111,//(01)(0x1)  !    0x21----
; 0001 0020   0b11111111,//(02)(0x2)  "    0x22----
; 0001 0021   0b11111111,//(03)(0x3)  #    0x23----
; 0001 0022   0b11111111,//(04)(0x4)  $    0x24----
; 0001 0023   0b11111111,//(05)(0x5)  %    0x25----
; 0001 0024   0b11111111,//(06)(0x6)  &    0x26----
; 0001 0025   0b11111111,//(07)(0x7)  '    0x27----
; 0001 0026   0b11111111,//(08)(0x8)  (    0x28----
; 0001 0027   0b11111111,//(09)(0x9)  )    0x29----
; 0001 0028   0b11111111,//(10)(0xA)  *    0x2A----
; 0001 0029   0b11111111,//(11)(0xB)  +    0x2B----
; 0001 002A   0b11111111,//(12)(0xC)  ,    0x2C----
; 0001 002B   0b01111111,//(13)(0xD)  -    0x2D
; 0001 002C   0b11111110,//(14)(0xE)  .(h) 0x2E
; 0001 002D   0b11111111,//(15)(0xF)  /    0x2F----
; 0001 002E   0b10000001,//(16)(0x10) 0    0x30
; 0001 002F   0b11110011,//(17)(0x11) 1    0x31
; 0001 0030   0b01001001,//(18)(0x12) 2    0x32
; 0001 0031   0b01100001,//(19)(0x13) 3    0x33
; 0001 0032   0b00110011,//(20)(0x14) 4    0x34
; 0001 0033   0b00100101,//(21)(0x15) 5    0x35
; 0001 0034   0b00000101,//(22)(0x16) 6    0x36
; 0001 0035   0b11110001,//(23)(0x17) 7    0x37
; 0001 0036   0b00000001,//(24)(0x18) 8    0x38
; 0001 0037   0b00100001,//(25)(0x19) 9    0x39
; 0001 0038   0b11111111,//(26)(0x1A) :    0x3A----
; 0001 0039   0b11111111,//(27)(0x1B) ;    0x3B----
; 0001 003A   0b11111111,//(28)(0x1C) <    0x3C----
; 0001 003B   0b11111111,//(29)(0x1D) =    0x3D----
; 0001 003C   0b11111111,//(30)(0x1E) >    0x3E----
; 0001 003D   0b11111111,//(31)(0x1F) ?    0x3F----
; 0001 003E   0b11111111,//(32)(0x20) @    0x40----
; 0001 003F   0b00010001,//(33)(0x21) A    0x41
; 0001 0040   0b11111111,//(34)(0x22) B    0x42----
; 0001 0041   0b10001101,//(35)(0x23) C    0x43
; 0001 0042   0b11111111,//(36)(0x24) D    0x44----
; 0001 0043   0b00001101,//(37)(0x25) E    0x45
; 0001 0044   0b00011101,//(38)(0x26) F    0x46
; 0001 0045   0b10000101,//(39)(0x27) G    0x47
; 0001 0046   0b00010011,//(40)(0x28) H    0x48
; 0001 0047   0b10011111,//(41)(0x29) I    0x49
; 0001 0048   0b11100001,//(42)(0x2A) J    0x4A
; 0001 0049   0b11111111,//(43)(0x2B) K    0x4B----
; 0001 004A   0b10001111,//(44)(0x2C) L    0x4C
; 0001 004B   0b11111111,//(45)(0x2D) M    0x4D----
; 0001 004C   0b11111111,//(46)(0x2E) N    0x4E----
; 0001 004D   0b11111111,//(47)(0x2F) O    0x4F----
; 0001 004E   0b11111111,//(48)(0x30) P    0x50----
; 0001 004F   0b11111111,//(49)(0x31) Q    0x51----
; 0001 0050   0b11111111,//(50)(0x32) R    0x52----
; 0001 0051   0b11111111,//(51)(0x33) S    0x53----
; 0001 0052   0b11111111,//(52)(0x34) T    0x54----
; 0001 0053   0b11111111,//(53)(0x35) U    0x55----
; 0001 0054   0b11111111,//(54)(0x36) V    0x56----
; 0001 0055   0b11111111,//(55)(0x37) W    0x57----
; 0001 0056   0b11111111,//(56)(0x38) X    0x58----
; 0001 0057   0b11111111,//(57)(0x39) Y    0x59----
; 0001 0058   0b11111111,//(58)(0x3A) Z    0x5A----
; 0001 0059   0b11111111,//(59)(0x3B) [    0x5B----
; 0001 005A   0b11111111,//(60)(0x3C) \    0x5C----
; 0001 005B   0b11111111,//(61)(0x3D) ]    0x5D----
; 0001 005C   0b11111111,//(62)(0x3E) ^    0x5E----
; 0001 005D   0b11111111,//(63)(0x3F) _    0x5F----
; 0001 005E   0b11111111,//(64)(0x40) *    0x60----????
; 0001 005F   0b11111111,//(65)(0x41) a    0x61----
; 0001 0060   0b00000111,//(66)(0x42) b    0x62
; 0001 0061   0b01001111,//(67)(0x43) c    0x63
; 0001 0062   0b01000011,//(68)(0x44) d    0x64
; 0001 0063   0b11111111,//(69)(0x45) e    0x65----
; 0001 0064   0b11111111,//(70)(0x46) f    0x66----
; 0001 0065   0b11111111,//(71)(0x47) g    0x67----
; 0001 0066   0b11111111,//(72)(0x48) h    0x68----
; 0001 0067   0b11111111,//(73)(0x49) i    0x69----
; 0001 0068   0b11111111,//(74)(0x4A) j    0x6A----
; 0001 0069   0b11111111,//(75)(0x4B) k    0x6B----
; 0001 006A   0b11111111,//(76)(0x4C) l    0x6C----
; 0001 006B   0b11111111,//(77)(0x4D) m    0x6D----
; 0001 006C   0b01010111,//(78)(0x4E) n    0x6E
; 0001 006D   0b01000111,//(79)(0x4F) o    0x6F
; 0001 006E   0b00011001,//(80)(0x50) p    0x70
; 0001 006F   0b00110001,//(81)(0x51) q    0x71
; 0001 0070   0b01011111,//(82)(0x52) r    0x72
; 0001 0071   0b11111111,//(83)(0x53) s    0x73----
; 0001 0072   0b00001111,//(84)(0x54) t    0x74
; 0001 0073   0b11000111,//(85)(0x55) u    0x75
; 0001 0074   0b11111111,//(86)(0x56) v    0x76----
; 0001 0075   0b11111111,//(87)(0x57) w    0x77----
; 0001 0076   0b11111111,//(88)(0x58) x    0x78----
; 0001 0077   0b11111111,//(89)(0x59) y    0x79----
; 0001 0078   0b11111111,//(90)(0x5A) z    0x7A----
; 0001 0079   0b11111111,//(91)(0x5B) {    0x7B----
; 0001 007A   0b11111111,//(92)(0x5C) |    0x7C----
; 0001 007B   0b11111111,//(93)(0x5D) }    0x7D----
; 0001 007C   0b11111111,//(94)(0x5E) ~    0x7E----
; 0001 007D   0b11111111,//(95)(0x5F) DEL  0x7F----  
; 0001 007E   };
; 0001 007F 
; 0001 0080 
; 0001 0081   if (divider_indy==1){                  //   
	SBIW R28,63
	SBIW R28,33
	LDI  R24,96
	LDI  R26,LOW(0)
	LDI  R27,HIGH(0)
	LDI  R30,LOW(_0x20003*2)
	LDI  R31,HIGH(_0x20003*2)
	RCALL __INITLOCB
	ST   -Y,R17
;	i -> R17
;	sym -> Y+1
	LDS  R26,_divider_indy
	CPI  R26,LOW(0x1)
	BREQ PC+2
	RJMP _0x20004
; 0001 0082   if (cur_dig==6){cur_dig=0;} else {cur_dig++;} //   7     
	LDS  R26,_cur_dig_S0010000000
	CPI  R26,LOW(0x6)
	BRNE _0x20005
	LDI  R30,LOW(0)
	RJMP _0x20055
_0x20005:
	LDS  R30,_cur_dig_S0010000000
	SUBI R30,-LOW(1)
_0x20055:
	STS  _cur_dig_S0010000000,R30
; 0001 0083     /***************/
; 0001 0084    if (cur_dig==0){ //   0   1 
	CPI  R30,0
	BRNE _0x20007
; 0001 0085 
; 0001 0086    dig_21=0;        //  21
	CBI  0x1B,3
; 0001 0087    dig_22=0;        //  22
	CBI  0x1B,4
; 0001 0088    dig_23=0;        //  23
	CBI  0x1B,5
; 0001 0089 
; 0001 008A    dig_12=0;        //  12
	CBI  0x1B,1
; 0001 008B    dig_13=0;        //  13
	CBI  0x1B,2
; 0001 008C    i=sym_out1[0];   //
	LDS  R17,_sym_out1
; 0001 008D    i-=0x20;         //     ASCII CHARACTER SET     
	MOV  R30,R17
	LDI  R31,0
	SBIW R30,32
	MOV  R17,R30
; 0001 008E    PORTC=sym[i];    //  dig1_1    sym    i
	MOV  R30,R17
	LDI  R31,0
	MOVW R26,R28
	ADIW R26,1
	ADD  R26,R30
	ADC  R27,R31
	LD   R30,X
	OUT  0x15,R30
; 0001 008F    dig_11=1;        //  11
	SBI  0x1B,0
; 0001 0090    }
; 0001 0091     /****************/
; 0001 0092    if (cur_dig==1){ //   1   2 
_0x20007:
	LDS  R26,_cur_dig_S0010000000
	CPI  R26,LOW(0x1)
	BRNE _0x20014
; 0001 0093 
; 0001 0094    dig_21=0;        //  21
	CBI  0x1B,3
; 0001 0095    dig_22=0;        //  22
	CBI  0x1B,4
; 0001 0096    dig_23=0;        //  23
	CBI  0x1B,5
; 0001 0097    dig_11=0;        //  11
	CBI  0x1B,0
; 0001 0098 
; 0001 0099    dig_13=0;        //  13
	CBI  0x1B,2
; 0001 009A    i=sym_out1[1];   //
	__GETBRMN 17,_sym_out1,1
; 0001 009B    i-=0x20;         //     ASCII CHARACTER SET     
	MOV  R30,R17
	LDI  R31,0
	SBIW R30,32
	MOV  R17,R30
; 0001 009C    PORTC=sym[i];    //  dig1_1    sym    i
	MOV  R30,R17
	LDI  R31,0
	MOVW R26,R28
	ADIW R26,1
	ADD  R26,R30
	ADC  R27,R31
	LD   R30,X
	OUT  0x15,R30
; 0001 009D    dig_12=1;        //  12
	SBI  0x1B,1
; 0001 009E    }
; 0001 009F     /*******************/
; 0001 00A0    if (cur_dig==2){ //   2   3 
_0x20014:
	LDS  R26,_cur_dig_S0010000000
	CPI  R26,LOW(0x2)
	BRNE _0x20021
; 0001 00A1 
; 0001 00A2    dig_21=0;        //  11
	CBI  0x1B,3
; 0001 00A3    dig_22=0;        //  12
	CBI  0x1B,4
; 0001 00A4    dig_23=0;        //  13
	CBI  0x1B,5
; 0001 00A5    dig_11=0;        //  11
	CBI  0x1B,0
; 0001 00A6    dig_12=0;        //  12
	CBI  0x1B,1
; 0001 00A7 
; 0001 00A8    i=sym_out1[2];   //
	__GETBRMN 17,_sym_out1,2
; 0001 00A9    i-=0x20;         //     ASCII CHARACTER SET     
	MOV  R30,R17
	LDI  R31,0
	SBIW R30,32
	MOV  R17,R30
; 0001 00AA    PORTC=sym[i];    //  dig1_1    sym    i
	MOV  R30,R17
	LDI  R31,0
	MOVW R26,R28
	ADIW R26,1
	ADD  R26,R30
	ADC  R27,R31
	LD   R30,X
	OUT  0x15,R30
; 0001 00AB    dig_13=1;        //  13
	SBI  0x1B,2
; 0001 00AC    }
; 0001 00AD    /*********************************************************************************************************/
; 0001 00AE    if (cur_dig==3){ //   0   1 
_0x20021:
	LDS  R26,_cur_dig_S0010000000
	CPI  R26,LOW(0x3)
	BRNE _0x2002E
; 0001 00AF 
; 0001 00B0    dig_11=0;        //  11
	CBI  0x1B,0
; 0001 00B1    dig_12=0;        //  12
	CBI  0x1B,1
; 0001 00B2    dig_13=0;        //  13
	CBI  0x1B,2
; 0001 00B3 
; 0001 00B4    dig_22=0;        //  22
	CBI  0x1B,4
; 0001 00B5    dig_23=0;        //  23
	CBI  0x1B,5
; 0001 00B6    i=sym_out2[0];   //
	LDS  R17,_sym_out2
; 0001 00B7    i-=0x20;         //     ASCII CHARACTER SET     
	MOV  R30,R17
	LDI  R31,0
	SBIW R30,32
	MOV  R17,R30
; 0001 00B8    PORTC=sym[i];    //  dig1_1    sym    i
	MOV  R30,R17
	LDI  R31,0
	MOVW R26,R28
	ADIW R26,1
	ADD  R26,R30
	ADC  R27,R31
	LD   R30,X
	OUT  0x15,R30
; 0001 00B9    dig_21=1;        //  21
	SBI  0x1B,3
; 0001 00BA    }
; 0001 00BB     /**********************/
; 0001 00BC    if (cur_dig==4){ //   1   2 
_0x2002E:
	LDS  R26,_cur_dig_S0010000000
	CPI  R26,LOW(0x4)
	BRNE _0x2003B
; 0001 00BD 
; 0001 00BE    dig_11=0;        //  11
	CBI  0x1B,0
; 0001 00BF    dig_12=0;        //  12
	CBI  0x1B,1
; 0001 00C0    dig_13=0;        //  13
	CBI  0x1B,2
; 0001 00C1    dig_21=0;        //  21
	CBI  0x1B,3
; 0001 00C2 
; 0001 00C3    dig_23=0;        //  23
	CBI  0x1B,5
; 0001 00C4    i=sym_out2[1];   //
	__GETBRMN 17,_sym_out2,1
; 0001 00C5    i-=0x20;         //     ASCII CHARACTER SET     
	MOV  R30,R17
	LDI  R31,0
	SBIW R30,32
	MOV  R17,R30
; 0001 00C6    PORTC=sym[i];    //  dig1_1    sym    i
	MOV  R30,R17
	LDI  R31,0
	MOVW R26,R28
	ADIW R26,1
	ADD  R26,R30
	ADC  R27,R31
	LD   R30,X
	OUT  0x15,R30
; 0001 00C7    dig_22=1;        //  22
	SBI  0x1B,4
; 0001 00C8    }
; 0001 00C9     /**********************/
; 0001 00CA    if (cur_dig==5){ //   2   3 
_0x2003B:
	LDS  R26,_cur_dig_S0010000000
	CPI  R26,LOW(0x5)
	BRNE _0x20048
; 0001 00CB 
; 0001 00CC    dig_11=0;        //  11
	CBI  0x1B,0
; 0001 00CD    dig_12=0;        //  12
	CBI  0x1B,1
; 0001 00CE    dig_13=0;        //  13
	CBI  0x1B,2
; 0001 00CF    dig_21=0;        //  21
	CBI  0x1B,3
; 0001 00D0    dig_22=0;        //  22
	CBI  0x1B,4
; 0001 00D1 
; 0001 00D2    i=sym_out2[2];   //
	__GETBRMN 17,_sym_out2,2
; 0001 00D3    i-=0x20;         //     ASCII CHARACTER SET     
	MOV  R30,R17
	LDI  R31,0
	SBIW R30,32
	MOV  R17,R30
; 0001 00D4    PORTC=sym[i];    //  dig1_1    sym    i
	MOV  R30,R17
	LDI  R31,0
	MOVW R26,R28
	ADIW R26,1
	ADD  R26,R30
	ADC  R27,R31
	LD   R30,X
	OUT  0x15,R30
; 0001 00D5    dig_23=1;        //  23
	SBI  0x1B,5
; 0001 00D6    }
; 0001 00D7    //divider_indy=0;//     
; 0001 00D8   }
_0x20048:
; 0001 00D9  }
_0x20004:
	LDD  R17,Y+0
	ADIW R28,63
	ADIW R28,34
	RET
;#define l_pad PORTD.4            // ""
;#define l_pad_pulse PORTD.5      // " "
;#define l_jest PORTD.6           // ""
;#define l_jest_pulse PORTB.5     // " "
;#define l_alarm PORTB.7          // ""
;#define b_bolshe PIND.0          // 
;#define b_menshe PIND.1          // 
;#define b_rejim PIND.2           //  
;#define b_parametr PIND.3        //  
;#define dig1I PORTA.2//PORTA.2         dig1I
;#define dig2I PORTA.1//PORTA.1         dig2I
;#define dig3I PORTA.0//PORTA.0        dig3I
;#define dig1U PORTA.5//PORTA.5         dig1U
;#define dig2U PORTA.4//PORTA.4         dig2U
;#define dig3U PORTA.3//PORTA.3        dig3U
;
;volatile unsigned char zadanie_I; //    
;volatile unsigned char zadanie_U; //    
;volatile unsigned char soft_start;//  
;volatile unsigned char start1;    //   5   
;volatile unsigned char start;     //    0   , 1  
;volatile unsigned char rejim;     //      
;/* rejim
;0  
;1   
;2  
;3   
;*/
;volatile unsigned char izmerenoe_I;//        
;volatile unsigned char izmerenoe_U;//        
;volatile unsigned int divider_500Hz;//   500   
;volatile unsigned char divider_indy;//    
;volatile long int divider_05Hz;//  1953 0,5
;volatile unsigned int divider_30Hz;//  293 100   
;volatile unsigned char button_work;   //     1 
;volatile unsigned char divider_button;//  
;volatile unsigned int divider_325Hz;//  3 325   
;volatile unsigned char divider_pulse;//   500
;unsigned char sym_out1[4];   //   1,  4 [0],[4]  [3],[7]  
;unsigned char sym_out2[4];    //   2,  4 [0],[4]  [3],[7]  
;
;#include <mega8535.h>
	#ifndef __SLEEP_DEFINED__
	#define __SLEEP_DEFINED__
	.EQU __se_bit=0x40
	.EQU __sm_mask=0xB0
	.EQU __sm_powerdown=0x20
	.EQU __sm_powersave=0x30
	.EQU __sm_standby=0xA0
	.EQU __sm_ext_standby=0xB0
	.EQU __sm_adc_noise_red=0x10
	.SET power_ctrl_reg=mcucr
	#endif
;
;void Initialization_CPU (void){
; 0003 0003 void Initialization_CPU (void){

	.CSEG
_Initialization_CPU:
; 0003 0004 // Declare your local variables here
; 0003 0005 
; 0003 0006 // Input/Output Ports initialization
; 0003 0007 // Port A initialization
; 0003 0008 // Func7=In Func6=In Func5=Out Func4=Out Func3=Out Func2=Out Func1=Out Func0=Out
; 0003 0009 // State7=T State6=T State5=0 State4=0 State3=0 State2=0 State1=0 State0=0
; 0003 000A PORTA=0x00;
	LDI  R30,LOW(0)
	OUT  0x1B,R30
; 0003 000B DDRA=0x3F;
	LDI  R30,LOW(63)
	OUT  0x1A,R30
; 0003 000C 
; 0003 000D // Port B initialization
; 0003 000E // Func7=Out Func6=Out Func5=Out Func4=Out Func3=Out Func2=Out Func1=Out Func0=Out
; 0003 000F // State7=1 State6=1 State5=1 State4=0 State3=0 State2=0 State1=0 State0=0
; 0003 0010 PORTB=0xE0;
	LDI  R30,LOW(224)
	OUT  0x18,R30
; 0003 0011 DDRB=0xFF;
	LDI  R30,LOW(255)
	OUT  0x17,R30
; 0003 0012 
; 0003 0013 // Port C initialization
; 0003 0014 // Func7=Out Func6=Out Func5=Out Func4=Out Func3=Out Func2=Out Func1=Out Func0=Out
; 0003 0015 // State7=1 State6=1 State5=1 State4=1 State3=1 State2=1 State1=1 State0=1
; 0003 0016 PORTC=0xFF;
	OUT  0x15,R30
; 0003 0017 DDRC=0xFF;
	OUT  0x14,R30
; 0003 0018 
; 0003 0019 // Port D initialization
; 0003 001A // Func7=Out Func6=Out Func5=Out Func4=Out Func3=In Func2=In Func1=In Func0=In
; 0003 001B // State7=0 State6=1 State5=1 State4=1 State3=P State2=P State1=P State0=P
; 0003 001C PORTD=0x7F;
	LDI  R30,LOW(127)
	OUT  0x12,R30
; 0003 001D DDRD=0xF0;
	LDI  R30,LOW(240)
	OUT  0x11,R30
; 0003 001E 
; 0003 001F // Timer/Counter 0 initialization
; 0003 0020 // Clock source: System Clock
; 0003 0021 // Clock value: Timer 0 Stopped
; 0003 0022 // Mode: Normal top=0xFF
; 0003 0023 // OC0 output: Disconnected
; 0003 0024 TCCR0=0x00;
	LDI  R30,LOW(0)
	OUT  0x33,R30
; 0003 0025 TCNT0=0x00;
	OUT  0x32,R30
; 0003 0026 OCR0=0x00;
	OUT  0x3C,R30
; 0003 0027 
; 0003 0028 // Timer/Counter 1 initialization
; 0003 0029 // Clock source: System Clock
; 0003 002A // Clock value: Timer1 Stopped
; 0003 002B // Mode: Normal top=0xFFFF
; 0003 002C // OC1A output: Discon.
; 0003 002D // OC1B output: Discon.
; 0003 002E // Noise Canceler: Off
; 0003 002F // Input Capture on Falling Edge
; 0003 0030 // Timer1 Overflow Interrupt: Off
; 0003 0031 // Input Capture Interrupt: Off
; 0003 0032 // Compare A Match Interrupt: Off
; 0003 0033 // Compare B Match Interrupt: Off
; 0003 0034 TCCR1A=0x00;
	OUT  0x2F,R30
; 0003 0035 TCCR1B=0x00;
	OUT  0x2E,R30
; 0003 0036 TCNT1H=0x00;
	OUT  0x2D,R30
; 0003 0037 TCNT1L=0x00;
	OUT  0x2C,R30
; 0003 0038 ICR1H=0x00;
	OUT  0x27,R30
; 0003 0039 ICR1L=0x00;
	OUT  0x26,R30
; 0003 003A OCR1AH=0x00;
	OUT  0x2B,R30
; 0003 003B OCR1AL=0x00;
	OUT  0x2A,R30
; 0003 003C OCR1BH=0x00;
	OUT  0x29,R30
; 0003 003D OCR1BL=0x00;
	OUT  0x28,R30
; 0003 003E 
; 0003 003F 
; 0003 0040 // Timer/Counter 2 initialization
; 0003 0041 // Clock source: System Clock
; 0003 0042 // Clock value: Timer2 Stopped
; 0003 0043 // Mode: Normal top=0xFF
; 0003 0044 // OC2 output: Disconnected
; 0003 0045 ASSR=0x00;
	OUT  0x22,R30
; 0003 0046 TCCR2=0x00;
	OUT  0x25,R30
; 0003 0047 TCNT2=0x00;
	OUT  0x24,R30
; 0003 0048 OCR2=0x00;
	OUT  0x23,R30
; 0003 0049 
; 0003 004A // External Interrupt(s) initialization
; 0003 004B // INT0: Off
; 0003 004C // INT1: Off
; 0003 004D // INT2: Off
; 0003 004E MCUCR=0x00;
	OUT  0x35,R30
; 0003 004F MCUCSR=0x00;
	OUT  0x34,R30
; 0003 0050 
; 0003 0051 // Timer(s)/Counter(s) Interrupt(s) initialization
; 0003 0052 TIMSK=0x00;
	OUT  0x39,R30
; 0003 0053 
; 0003 0054 // USART initialization
; 0003 0055 // USART disabled
; 0003 0056 UCSRB=0x00;
	OUT  0xA,R30
; 0003 0057 
; 0003 0058 // Analog Comparator initialization
; 0003 0059 // Analog Comparator: Off
; 0003 005A // Analog Comparator Input Capture by Timer/Counter 1: Off
; 0003 005B ACSR=0x80;
	LDI  R30,LOW(128)
	OUT  0x8,R30
; 0003 005C SFIOR=0x00;
	LDI  R30,LOW(0)
	OUT  0x30,R30
; 0003 005D 
; 0003 005E // ADC initialization
; 0003 005F // ADC disabled
; 0003 0060 ADCSRA=0x00;
	OUT  0x6,R30
; 0003 0061 
; 0003 0062 // SPI initialization
; 0003 0063 // SPI disabled
; 0003 0064 SPCR=0x00;
	OUT  0xD,R30
; 0003 0065 
; 0003 0066 // TWI initialization
; 0003 0067 // TWI disabled
; 0003 0068 TWCR=0x00;
	OUT  0x36,R30
; 0003 0069 // Global enable interrupts
; 0003 006A #asm("sei")
	sei
; 0003 006B }
	RET
	#ifndef __SLEEP_DEFINED__
	#define __SLEEP_DEFINED__
	.EQU __se_bit=0x40
	.EQU __sm_mask=0xB0
	.EQU __sm_powerdown=0x20
	.EQU __sm_powersave=0x30
	.EQU __sm_standby=0xA0
	.EQU __sm_ext_standby=0xB0
	.EQU __sm_adc_noise_red=0x10
	.SET power_ctrl_reg=mcucr
	#endif

	.CSEG
_put_buff_G100:
	RCALL __SAVELOCR2
	LDD  R26,Y+2
	LDD  R27,Y+2+1
	ADIW R26,2
	RCALL __GETW1P
	SBIW R30,0
	BREQ _0x2000010
	LDD  R26,Y+2
	LDD  R27,Y+2+1
	ADIW R26,4
	RCALL __GETW1P
	MOVW R16,R30
	SBIW R30,0
	BREQ _0x2000012
	__CPWRN 16,17,2
	BRLO _0x2000013
	MOVW R30,R16
	SBIW R30,1
	MOVW R16,R30
	__PUTW1SNS 2,4
_0x2000012:
	LDD  R26,Y+2
	LDD  R27,Y+2+1
	ADIW R26,2
	LD   R30,X+
	LD   R31,X+
	ADIW R30,1
	ST   -X,R31
	ST   -X,R30
	SBIW R30,1
	LDD  R26,Y+4
	STD  Z+0,R26
	LDD  R26,Y+2
	LDD  R27,Y+2+1
	RCALL __GETW1P
	TST  R31
	BRMI _0x2000014
	LD   R30,X+
	LD   R31,X+
	ADIW R30,1
	ST   -X,R31
	ST   -X,R30
_0x2000014:
_0x2000013:
	RJMP _0x2000015
_0x2000010:
	LDD  R26,Y+2
	LDD  R27,Y+2+1
	LDI  R30,LOW(65535)
	LDI  R31,HIGH(65535)
	ST   X+,R30
	ST   X,R31
_0x2000015:
	RCALL __LOADLOCR2
	ADIW R28,5
	RET
__print_G100:
	SBIW R28,6
	RCALL __SAVELOCR6
	LDI  R17,0
	LDD  R26,Y+12
	LDD  R27,Y+12+1
	LDI  R30,LOW(0)
	LDI  R31,HIGH(0)
	ST   X+,R30
	ST   X,R31
_0x2000016:
	LDD  R30,Y+18
	LDD  R31,Y+18+1
	ADIW R30,1
	STD  Y+18,R30
	STD  Y+18+1,R31
	SBIW R30,1
	LPM  R30,Z
	MOV  R18,R30
	CPI  R30,0
	BRNE PC+2
	RJMP _0x2000018
	MOV  R30,R17
	CPI  R30,0
	BRNE _0x200001C
	CPI  R18,37
	BRNE _0x200001D
	LDI  R17,LOW(1)
	RJMP _0x200001E
_0x200001D:
	ST   -Y,R18
	LDD  R30,Y+13
	LDD  R31,Y+13+1
	ST   -Y,R31
	ST   -Y,R30
	LDD  R30,Y+17
	LDD  R31,Y+17+1
	ICALL
_0x200001E:
	RJMP _0x200001B
_0x200001C:
	CPI  R30,LOW(0x1)
	BRNE _0x200001F
	CPI  R18,37
	BRNE _0x2000020
	ST   -Y,R18
	LDD  R30,Y+13
	LDD  R31,Y+13+1
	ST   -Y,R31
	ST   -Y,R30
	LDD  R30,Y+17
	LDD  R31,Y+17+1
	ICALL
	RJMP _0x20000C9
_0x2000020:
	LDI  R17,LOW(2)
	LDI  R20,LOW(0)
	LDI  R16,LOW(0)
	CPI  R18,45
	BRNE _0x2000021
	LDI  R16,LOW(1)
	RJMP _0x200001B
_0x2000021:
	CPI  R18,43
	BRNE _0x2000022
	LDI  R20,LOW(43)
	RJMP _0x200001B
_0x2000022:
	CPI  R18,32
	BRNE _0x2000023
	LDI  R20,LOW(32)
	RJMP _0x200001B
_0x2000023:
	RJMP _0x2000024
_0x200001F:
	CPI  R30,LOW(0x2)
	BRNE _0x2000025
_0x2000024:
	LDI  R21,LOW(0)
	LDI  R17,LOW(3)
	CPI  R18,48
	BRNE _0x2000026
	ORI  R16,LOW(128)
	RJMP _0x200001B
_0x2000026:
	RJMP _0x2000027
_0x2000025:
	CPI  R30,LOW(0x3)
	BREQ PC+2
	RJMP _0x200001B
_0x2000027:
	CPI  R18,48
	BRLO _0x200002A
	CPI  R18,58
	BRLO _0x200002B
_0x200002A:
	RJMP _0x2000029
_0x200002B:
	LDI  R26,LOW(10)
	MUL  R21,R26
	MOV  R21,R0
	MOV  R30,R18
	SUBI R30,LOW(48)
	ADD  R21,R30
	RJMP _0x200001B
_0x2000029:
	MOV  R30,R18
	CPI  R30,LOW(0x63)
	BRNE _0x200002F
	LDD  R30,Y+16
	LDD  R31,Y+16+1
	SBIW R30,4
	STD  Y+16,R30
	STD  Y+16+1,R31
	LDD  R26,Z+4
	ST   -Y,R26
	LDD  R30,Y+13
	LDD  R31,Y+13+1
	ST   -Y,R31
	ST   -Y,R30
	LDD  R30,Y+17
	LDD  R31,Y+17+1
	ICALL
	RJMP _0x2000030
_0x200002F:
	CPI  R30,LOW(0x73)
	BRNE _0x2000032
	LDD  R30,Y+16
	LDD  R31,Y+16+1
	SBIW R30,4
	STD  Y+16,R30
	STD  Y+16+1,R31
	LDD  R26,Y+16
	LDD  R27,Y+16+1
	ADIW R26,4
	RCALL __GETW1P
	STD  Y+6,R30
	STD  Y+6+1,R31
	ST   -Y,R31
	ST   -Y,R30
	RCALL _strlen
	MOV  R17,R30
	RJMP _0x2000033
_0x2000032:
	CPI  R30,LOW(0x70)
	BRNE _0x2000035
	LDD  R30,Y+16
	LDD  R31,Y+16+1
	SBIW R30,4
	STD  Y+16,R30
	STD  Y+16+1,R31
	LDD  R26,Y+16
	LDD  R27,Y+16+1
	ADIW R26,4
	RCALL __GETW1P
	STD  Y+6,R30
	STD  Y+6+1,R31
	ST   -Y,R31
	ST   -Y,R30
	RCALL _strlenf
	MOV  R17,R30
	ORI  R16,LOW(8)
_0x2000033:
	ORI  R16,LOW(2)
	ANDI R16,LOW(127)
	LDI  R19,LOW(0)
	RJMP _0x2000036
_0x2000035:
	CPI  R30,LOW(0x64)
	BREQ _0x2000039
	CPI  R30,LOW(0x69)
	BRNE _0x200003A
_0x2000039:
	ORI  R16,LOW(4)
	RJMP _0x200003B
_0x200003A:
	CPI  R30,LOW(0x75)
	BRNE _0x200003C
_0x200003B:
	LDI  R30,LOW(_tbl10_G100*2)
	LDI  R31,HIGH(_tbl10_G100*2)
	STD  Y+6,R30
	STD  Y+6+1,R31
	LDI  R17,LOW(5)
	RJMP _0x200003D
_0x200003C:
	CPI  R30,LOW(0x58)
	BRNE _0x200003F
	ORI  R16,LOW(8)
	RJMP _0x2000040
_0x200003F:
	CPI  R30,LOW(0x78)
	BREQ PC+2
	RJMP _0x2000071
_0x2000040:
	LDI  R30,LOW(_tbl16_G100*2)
	LDI  R31,HIGH(_tbl16_G100*2)
	STD  Y+6,R30
	STD  Y+6+1,R31
	LDI  R17,LOW(4)
_0x200003D:
	SBRS R16,2
	RJMP _0x2000042
	LDD  R30,Y+16
	LDD  R31,Y+16+1
	SBIW R30,4
	STD  Y+16,R30
	STD  Y+16+1,R31
	LDD  R26,Y+16
	LDD  R27,Y+16+1
	ADIW R26,4
	RCALL __GETW1P
	STD  Y+10,R30
	STD  Y+10+1,R31
	LDD  R26,Y+11
	TST  R26
	BRPL _0x2000043
	RCALL __ANEGW1
	STD  Y+10,R30
	STD  Y+10+1,R31
	LDI  R20,LOW(45)
_0x2000043:
	CPI  R20,0
	BREQ _0x2000044
	SUBI R17,-LOW(1)
	RJMP _0x2000045
_0x2000044:
	ANDI R16,LOW(251)
_0x2000045:
	RJMP _0x2000046
_0x2000042:
	LDD  R30,Y+16
	LDD  R31,Y+16+1
	SBIW R30,4
	STD  Y+16,R30
	STD  Y+16+1,R31
	LDD  R26,Y+16
	LDD  R27,Y+16+1
	ADIW R26,4
	RCALL __GETW1P
	STD  Y+10,R30
	STD  Y+10+1,R31
_0x2000046:
_0x2000036:
	SBRC R16,0
	RJMP _0x2000047
_0x2000048:
	CP   R17,R21
	BRSH _0x200004A
	SBRS R16,7
	RJMP _0x200004B
	SBRS R16,2
	RJMP _0x200004C
	ANDI R16,LOW(251)
	MOV  R18,R20
	SUBI R17,LOW(1)
	RJMP _0x200004D
_0x200004C:
	LDI  R18,LOW(48)
_0x200004D:
	RJMP _0x200004E
_0x200004B:
	LDI  R18,LOW(32)
_0x200004E:
	ST   -Y,R18
	LDD  R30,Y+13
	LDD  R31,Y+13+1
	ST   -Y,R31
	ST   -Y,R30
	LDD  R30,Y+17
	LDD  R31,Y+17+1
	ICALL
	SUBI R21,LOW(1)
	RJMP _0x2000048
_0x200004A:
_0x2000047:
	MOV  R19,R17
	SBRS R16,1
	RJMP _0x200004F
_0x2000050:
	CPI  R19,0
	BREQ _0x2000052
	SBRS R16,3
	RJMP _0x2000053
	LDD  R30,Y+6
	LDD  R31,Y+6+1
	LPM  R18,Z+
	STD  Y+6,R30
	STD  Y+6+1,R31
	RJMP _0x2000054
_0x2000053:
	LDD  R26,Y+6
	LDD  R27,Y+6+1
	LD   R18,X+
	STD  Y+6,R26
	STD  Y+6+1,R27
_0x2000054:
	ST   -Y,R18
	LDD  R30,Y+13
	LDD  R31,Y+13+1
	ST   -Y,R31
	ST   -Y,R30
	LDD  R30,Y+17
	LDD  R31,Y+17+1
	ICALL
	CPI  R21,0
	BREQ _0x2000055
	SUBI R21,LOW(1)
_0x2000055:
	SUBI R19,LOW(1)
	RJMP _0x2000050
_0x2000052:
	RJMP _0x2000056
_0x200004F:
_0x2000058:
	LDI  R18,LOW(48)
	LDD  R30,Y+6
	LDD  R31,Y+6+1
	RCALL __GETW1PF
	STD  Y+8,R30
	STD  Y+8+1,R31
	LDD  R30,Y+6
	LDD  R31,Y+6+1
	ADIW R30,2
	STD  Y+6,R30
	STD  Y+6+1,R31
_0x200005A:
	LDD  R30,Y+8
	LDD  R31,Y+8+1
	LDD  R26,Y+10
	LDD  R27,Y+10+1
	CP   R26,R30
	CPC  R27,R31
	BRLO _0x200005C
	SUBI R18,-LOW(1)
	LDD  R26,Y+8
	LDD  R27,Y+8+1
	LDD  R30,Y+10
	LDD  R31,Y+10+1
	SUB  R30,R26
	SBC  R31,R27
	STD  Y+10,R30
	STD  Y+10+1,R31
	RJMP _0x200005A
_0x200005C:
	CPI  R18,58
	BRLO _0x200005D
	SBRS R16,3
	RJMP _0x200005E
	SUBI R18,-LOW(7)
	RJMP _0x200005F
_0x200005E:
	SUBI R18,-LOW(39)
_0x200005F:
_0x200005D:
	SBRC R16,4
	RJMP _0x2000061
	CPI  R18,49
	BRSH _0x2000063
	LDD  R26,Y+8
	LDD  R27,Y+8+1
	SBIW R26,1
	BRNE _0x2000062
_0x2000063:
	RJMP _0x20000CA
_0x2000062:
	CP   R21,R19
	BRLO _0x2000067
	SBRS R16,0
	RJMP _0x2000068
_0x2000067:
	RJMP _0x2000066
_0x2000068:
	LDI  R18,LOW(32)
	SBRS R16,7
	RJMP _0x2000069
	LDI  R18,LOW(48)
_0x20000CA:
	ORI  R16,LOW(16)
	SBRS R16,2
	RJMP _0x200006A
	ANDI R16,LOW(251)
	ST   -Y,R20
	LDD  R30,Y+13
	LDD  R31,Y+13+1
	ST   -Y,R31
	ST   -Y,R30
	LDD  R30,Y+17
	LDD  R31,Y+17+1
	ICALL
	CPI  R21,0
	BREQ _0x200006B
	SUBI R21,LOW(1)
_0x200006B:
_0x200006A:
_0x2000069:
_0x2000061:
	ST   -Y,R18
	LDD  R30,Y+13
	LDD  R31,Y+13+1
	ST   -Y,R31
	ST   -Y,R30
	LDD  R30,Y+17
	LDD  R31,Y+17+1
	ICALL
	CPI  R21,0
	BREQ _0x200006C
	SUBI R21,LOW(1)
_0x200006C:
_0x2000066:
	SUBI R19,LOW(1)
	LDD  R26,Y+8
	LDD  R27,Y+8+1
	SBIW R26,2
	BRLO _0x2000059
	RJMP _0x2000058
_0x2000059:
_0x2000056:
	SBRS R16,0
	RJMP _0x200006D
_0x200006E:
	CPI  R21,0
	BREQ _0x2000070
	SUBI R21,LOW(1)
	LDI  R30,LOW(32)
	ST   -Y,R30
	LDD  R30,Y+13
	LDD  R31,Y+13+1
	ST   -Y,R31
	ST   -Y,R30
	LDD  R30,Y+17
	LDD  R31,Y+17+1
	ICALL
	RJMP _0x200006E
_0x2000070:
_0x200006D:
_0x2000071:
_0x2000030:
_0x20000C9:
	LDI  R17,LOW(0)
_0x200001B:
	RJMP _0x2000016
_0x2000018:
	LDD  R26,Y+12
	LDD  R27,Y+12+1
	RCALL __GETW1P
	RCALL __LOADLOCR6
	ADIW R28,20
	RET
_sprintf:
	PUSH R15
	MOV  R15,R24
	SBIW R28,6
	RCALL __SAVELOCR4
	MOVW R26,R28
	ADIW R26,12
	RCALL __ADDW2R15
	RCALL __GETW1P
	SBIW R30,0
	BRNE _0x2000072
	LDI  R30,LOW(65535)
	LDI  R31,HIGH(65535)
	RJMP _0x2060001
_0x2000072:
	MOVW R26,R28
	ADIW R26,6
	RCALL __ADDW2R15
	MOVW R16,R26
	MOVW R26,R28
	ADIW R26,12
	RCALL __ADDW2R15
	RCALL __GETW1P
	STD  Y+6,R30
	STD  Y+6+1,R31
	LDI  R30,LOW(0)
	STD  Y+8,R30
	STD  Y+8+1,R30
	MOVW R26,R28
	ADIW R26,10
	RCALL __ADDW2R15
	RCALL __GETW1P
	ST   -Y,R31
	ST   -Y,R30
	ST   -Y,R17
	ST   -Y,R16
	LDI  R30,LOW(_put_buff_G100)
	LDI  R31,HIGH(_put_buff_G100)
	ST   -Y,R31
	ST   -Y,R30
	MOVW R30,R28
	ADIW R30,10
	ST   -Y,R31
	ST   -Y,R30
	RCALL __print_G100
	MOVW R18,R30
	LDD  R26,Y+6
	LDD  R27,Y+6+1
	LDI  R30,LOW(0)
	ST   X,R30
	MOVW R30,R18
_0x2060001:
	RCALL __LOADLOCR4
	ADIW R28,10
	POP  R15
	RET

	.CSEG

	.CSEG
_strlen:
    ld   r26,y+
    ld   r27,y+
    clr  r30
    clr  r31
strlen0:
    ld   r22,x+
    tst  r22
    breq strlen1
    adiw r30,1
    rjmp strlen0
strlen1:
    ret
_strlenf:
    clr  r26
    clr  r27
    ld   r30,y+
    ld   r31,y+
strlenf0:
	lpm  r0,z+
    tst  r0
    breq strlenf1
    adiw r26,1
    rjmp strlenf0
strlenf1:
    movw r30,r26
    ret

	.DSEG
_izmerenoe_I:
	.BYTE 0x1
_izmerenoe_U:
	.BYTE 0x1
_divider_indy:
	.BYTE 0x1
_sym_out1:
	.BYTE 0x4
_sym_out2:
	.BYTE 0x4
_cur_dig_S0010000000:
	.BYTE 0x1

	.CSEG

	.CSEG
__ADDW2R15:
	CLR  R0
	ADD  R26,R15
	ADC  R27,R0
	RET

__ANEGW1:
	NEG  R31
	NEG  R30
	SBCI R31,0
	RET

__GETW1P:
	LD   R30,X+
	LD   R31,X
	SBIW R26,1
	RET

__GETW1PF:
	LPM  R0,Z+
	LPM  R31,Z
	MOV  R30,R0
	RET

__PUTPARD1:
	ST   -Y,R23
	ST   -Y,R22
	ST   -Y,R31
	ST   -Y,R30
	RET

__SAVELOCR6:
	ST   -Y,R21
__SAVELOCR5:
	ST   -Y,R20
__SAVELOCR4:
	ST   -Y,R19
__SAVELOCR3:
	ST   -Y,R18
__SAVELOCR2:
	ST   -Y,R17
	ST   -Y,R16
	RET

__LOADLOCR6:
	LDD  R21,Y+5
__LOADLOCR5:
	LDD  R20,Y+4
__LOADLOCR4:
	LDD  R19,Y+3
__LOADLOCR3:
	LDD  R18,Y+2
__LOADLOCR2:
	LDD  R17,Y+1
	LD   R16,Y
	RET

__INITLOCB:
__INITLOCW:
	ADD  R26,R28
	ADC  R27,R29
__INITLOC0:
	LPM  R0,Z+
	ST   X+,R0
	DEC  R24
	BRNE __INITLOC0
	RET

;END OF CODE MARKER
__END_OF_CODE:
